# Generated by Django 2.2.7 on 2019-11-05 01:23

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('binary_network', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='tree',
            name='position',
            field=models.CharField(choices=[('left', 'Left'), ('right', 'Right')], default='left', help_text='Select position where you want to add it', max_length=5, null=True, verbose_name='Position user'),
        ),
        migrations.CreateModel(
            name='UserBinary',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.CharField(choices=[('left', 'Left'), ('right', 'Right')], default='left', help_text='Select position where you want to add it', max_length=5, null=True, verbose_name='Position user')),
                ('date', models.DateTimeField(auto_now_add=True, verbose_name='Registration date')),
                ('referral', models.ForeignKey(help_text='Select user direct or referral', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='direct', to=settings.AUTH_USER_MODEL, verbose_name='Referral')),
                ('user', models.ForeignKey(help_text='Select user registered at the platform', null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'User binary',
                'verbose_name_plural': 'Users Binary',
            },
        ),
    ]
